/// <reference types="gtag.js" />
export declare type AnalyticsGtag = typeof window.gtag;
/**
 * You Google Analytics ID.
 *
 * UA-0000...
 */
export declare type GoogleAnalyticsId = string;
export declare type AnalyticsParams = Gtag.EventParams;
export declare type AnalyticsAction = Gtag.EventNames | string;
export declare type AnalyticsConfig = Gtag.ControlParams | Gtag.EventParams | Gtag.CustomParams;
/**
 *
 * Example of a pageView event:
 *
 * pageView({
 *   page_path: 'my path',
 * })
 */
/**
 *
 * Example of a non-fatal exception event:
 *
 * event('exception', {
 *   'description': 'error_description',
 *   'fatal': false   // set to true if the error is fatal
 * })
 */
export declare const useAnalytics: (id: GoogleAnalyticsId) => {
    pageView: (params: AnalyticsConfig) => void;
    event: (action: AnalyticsAction, params: AnalyticsParams) => void;
};
