export declare type TriggerEvent = unknown;
/**
 * A hook implementing a generic event.
 *
 * The `event` can, for example, be used to trigger changes to effects.
 *
 * The initial state of the `event` is `undefined`, otherwise nothing
 * should be assumed of the `event`
 *
 * @returns a triplet consisting of:
 * 0. an `event`
 * 1. a function to trigger the `event`
 * 2. a function to reset the `event` to its initial state
 */
export declare const useTrigger: () => readonly [unknown, () => void, () => void];
