import { RefObject } from 'react';
/**
 * Listen to activity on an element by the user.
 *
 * @param {Object} ref A React ref for the element
 * @param {Number} duration The duration of inactivity before the user is
 *                          determined to be inactive (default 3s)
 * @return {Boolean} The current user activity state
 */
export declare function useUserActive<T extends HTMLElement>(ref: RefObject<T>, duration?: number): boolean;
